import java.awt.*;

/**
 * An image filter to mirror (flip) the image horizontally.
 * 
 * @author Michael Kolling and David J Barnes 
 * @version 1.0
 */
public class MirrorFilter extends Filter
{
	/**
	 * Constructor for objects of class MirrorFilter
	 */
	public MirrorFilter(String name)
    {
        super(name);
	}

    /**
     * Apply this filter to an image.
     * 
     * @param  image  The image to be changed by this filter.
     */
    public void apply(OFImage image)
    {
        int height = image.getHeight();
        int width = image.getWidth();
        for(int y = 0; y < height; y++) {
            for(int x = 0; x < width/2; x++) {
                Color left = image.getPixel(x, y);
                image.setPixel(x, y, image.getPixel(width-1-x, y));
                image.setPixel(width-1-x, y, left);
            }
        }
    }
}
